%define version 0.0.18
%define release 1mdk
%define title	Gnome Bittorent
%define section Networking/Other

Summary: 	Gnome frontend for bittorrent files

Name:		gnome-btdownload
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other

Source:		http://switch.dl.sourceforge.net/sourceforge/gnome-bt/%name-%version.tar.bz2
Source1:	%{name}-32.png
Source2:	%{name}-16.png
Source3:	%{name}-48.png
URL:		http://gnome-bt.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildArch:	noarch

Requires:	pygtk2.0, gnome-python, pygtk2.0-libglade, python, bittorrent

%description
A work-in-progress Gnome "mime-sink" for BitTorrent files. 
It's not meant to be an entire front-end, just a program 
that pops up when you "execute" the torrent files.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%find_lang %{name}

%post
%update_menus
%{_bindir}/update-mime-database	%{_datadir}/mime/	

%postun
%clean_menus
%{_bindir}/update-mime-database %{_datadir}/mime/

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/gnome-btdownload
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_menudir}/%{name}
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Fri Mar 04 2005 Austin Acton <austin@mandrake.org> 0.0.18-1mdk
- New release 0.0.18

* Wed Aug 04 2004 Jerome Soyer <saispo@mandrake.org> 0.0.16-1mdk
- first build
